Get active conversation run
curl --request GET \
--url https://api.veryfront.com/conversations/{conversation_id}/runs/active \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/conversations/{conversation_id}/runs/active"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/conversations/{conversation_id}/runs/active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_run": {
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"status": "completed",
"runtime_target_kind": "main_branch",
"latest_event_id": 1,
"created_at": "<string>",
"run_snapshot": {
"project_agent": {
"kind": "source",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>"
},
"source": {
"type": "project",
"path": "<string>",
"hash": "<string>",
"catalog_entry_id": "<string>"
},
"runtime_target": {
"kind": "main_branch",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_target_kind": "<string>",
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"requester": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"trigger_principal_type": "system",
"trigger_principal_id": "<string>",
"implementation_kind": "<string>",
"worker_key": "<string>",
"source_target_kind": "project",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_run_id": "<string>",
"spawned_from_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spawned_from_tool_call_id": "<string>",
"input_anchor_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handoff_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_external_event_sequence": 1,
"waiting_tool_call_id": "<string>",
"waiting_tool_name": "<string>",
"terminal_error_code": "<string>",
"terminal_error_message": "<string>",
"started_at": "<string>",
"finished_at": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}{
"type": "https://api.veryfront.com/errors/validation-failed",
"title": "Validation Failed",
"status": 400,
"idempotency": {
"state": "in_progress",
"operation": "<string>",
"retryable": true,
"retry_after_seconds": 1,
"expires_at": "<string>",
"recovery": {
"available": true,
"description": "<string>",
"resource_url": "<string>"
}
},
"code": "RUN_INVALID_INPUT",
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"slug": "validation-failed",
"category": "VALIDATION",
"suggestion": "Check the request body and query parameters against the API documentation.",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}Get active conversation run
Returns the newest agent run of the conversation that has not finished (pending, running or waiting), or active_run: null when there is none. Requires viewer access to the conversation.
GraphQL Query.activeAgentRun and MCP get_active_agent_run return the same run.
GET
/
conversations
/
{conversation_id}
/
runs
/
active
Get active conversation run
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Response
Active agent run lookup
The newest agent run of the conversation that has not finished, or null when there is none.
Show child attributes
Show child attributes